# Class LineChrPos

java.lang.Object
org.snpeff.vcf.LineChrPos

All Implemented Interfaces:
  `Comparable<LineChrPos>`

public class LineChrPos extends Object implements Comparable<LineChrPos>
A simple chr:pos parser Stores using bytes instead of chars

## Constructor Summary

Constructors
Constructor
Description
`LineChrPos(String str)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(LineChrPos lp)`
`String`
`getLine()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineChrPos

public LineChrPos(String str)

## Method Details

### compareTo

public int compareTo(LineChrPos lp)

Specified by:
  `compareTo` in interface `Comparable<LineChrPos>`

### getLine

public String getLine()

### toString

public String toString()

Overrides:
  `toString` in class `Object`